var invariantFor = function (type) { return function (condition, parameter, value, message, source) {
    if (source === void 0) { source = "/image_transformation_reference#" + parameter + "_parameter"; }
    if (!condition) {
        value = typeof value === 'string' ? "'" + value + "'" : value;
        source = source ? "http://cloudinary.com/documentation" + source : null;
        throw new Error("Cloudinary " + type + ":: " + parameter + " " + message + ", received: " + value + (source ? " - see " + source : ''));
    }
}; };
export var invariant = invariantFor('');
export var invariantImage = invariantFor('Image ');
export var isNumber = function (value) {
    return typeof value === 'number' || !Number.isNaN(Number(value));
};
export var shouldBeOneOf = function (possibleValues) {
    return "should be one of ['" + possibleValues.join("', '") + "']";
};
